# Class Range

java.lang.Object
picard.illumina.parser.Range

public class Range extends Object
While structurally identical to CompositeIndex, this class is maintained as it makes code more readable when the two are used together (see QSeqParser)

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`end`
`final int`
`length`
`final int`
`start`

## Constructor Summary

Constructors
Constructor
Description
`Range(int start, int end)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### start

public final int start

### end

public final int end

### length

public final int length

## Constructor Details

### Range

public Range(int start, int end)

## Method Details

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`